.nav-custom {
    /*background: linear-gradient(180deg, rgba(0, 25, 50, 0.8), rgba(0, 25, 50, 0.6), rgba(0, 25, 50, 0.0)) !important; azul*/
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.0)) !important;
    /*box-shadow:
            inset 0 0 0px #00ffff,   brilho azul neon interno
            0 0 10px #00ffff;         brilho azul neon externo */

    display: flex;
    justify-content: center;
    align-items: center;
    color: #ffffff !important; /* muda a cor do texto junto com o traço */

}

.nav-link {
    position: relative;
    text-decoration: none;
    padding: 5px 0;
    color: #ffffff; /* muda a cor do texto junto com o traço */
}

.nav-link::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 0;
    background-color: #c8c8c8; /* cor do traço */
    /*background-color: #007fff; !* cor do traço *!*/
    transition: width 0.3s ease;
}

.nav-link:hover {
    color: #ffffff; /* muda a cor do texto junto com o traço */
    font-weight: 700;
    font-size: large;
    text-decoration: none;

}

.nav-link:hover::after {
    width: 100%;
    /*color: #007fff !important; !* cor do traço *!*/
    color: #ffffff !important; /* cor do traço */
}

.active:hover {
    width: 100%;
    color: #ffffff !important; /* cor do traço */
}

.img-custom {
    transition: transform 0.3s ease; /* suaviza a animação */
}

.img-custom:hover {
    transform: scale(1.1); /* aumenta 5% */
}

/* Vídeo de fundo */
.video-custom {
    position: fixed;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: -1;
}

.video-custom video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Seção inicial com altura total da tela */
.hero {
    min-height: 100vh; /* desktop */
    background: transparent;
    text-shadow: 0 2px 5px rgba(0,0,0,0.7);
}

@media (max-width: 768px) {
    .hero {
        min-height: 50px; /* deixa altura natural */

    }
}

.conteudo-transicao {
    background: linear-gradient(
            180deg,
            rgba(0, 0, 0, 0.0) 0%,   /* início mais claro/translúcido */
            rgba(0, 0, 0, 0.9) 100%
    );
    padding: 100px 20px;
}

/* Conteúdo normal com fundo */
.conteudo {
    background: rgba(0, 0, 0, 0.9) 100%; /* ou outra cor sólida */
    color: white;
    padding: 80px 20px;
}

@media (max-width: 768px) {
    .hero {
        min-height: 200px; /* deixa altura natural */

    }
    .conteudo-transicao{
        padding: 5px;
        box-sizing: revert;
        background: linear-gradient(
                180deg,
                rgba(0, 0, 0, 0.0) 0%,   /* início mais claro/translúcido */
                rgba(0, 0, 0, 1) 100%
        );
    }
    .conteudo{
        padding: 1% 1%;
    }
    body{
       background: rgba(0, 0, 0, 1) 100%;
    }
    .typed-text-custom{
        font-size: x-small;
    }
}